> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-windows-cli-guide/v20/commands/getloggedrasinfo.md).

# getloggedrasinfo

![Parralels](https://www.parallels.com/static/pl/fileadmin/res/img/navigation/pl-logo-dk.png)

## AppserverClient Command Line Interface

### getloggedrasinfo

gets information about an already logged on RAS connection.

**Category: RAS-Connections**

```
AppServerClientCLI getloggedrasinfo -id ras:5 [-addpubinfo]  
```

### Arguments

* **`id (mandatory)`** Specify the RAS connection ID to use.
* **`addpubinfo (optional)`** Include a summary of information about the published items.

### Return codes:

ok - Command was successful\
NotAvailable - Communication with the client backend failed, ensure that the client is running\
InvalidId - Invalid connection, object or session ID\
InvalidArgs - Some arguments are missing or invalid\
InvalidState - Command failed due to invalid state, refer to the command for further information\
Exception - System problem

### Examples:

AppServerClientCLI getloggedrasinfo -id ras:61

### Notes:

The connection needs to be logged in to.

### See also:

[logonras](/landing/ras-windows-cli-guide/v20/commands/logonras.md)\
[logoffras](/landing/ras-windows-cli-guide/v20/commands/logoffras.md)\
[logoffallras](/landing/ras-windows-cli-guide/v20/commands/logoffallras.md)\
[logoffrassession](/landing/ras-windows-cli-guide/v20/commands/logoffrassession.md)\
[startrasobj](/landing/ras-windows-cli-guide/v20/commands/startrasobj.md)\
[savefavorites](/landing/ras-windows-cli-guide/v20/commands/savefavorites.md)\
[disconnectras](/landing/ras-windows-cli-guide/v20/commands/disconnectras.md)\
[disconnectallras](/landing/ras-windows-cli-guide/v20/commands/disconnectallras.md)\
[getraspolicyinfo](/landing/ras-windows-cli-guide/v20/commands/getraspolicyinfo.md)\
[getpublicipinfo](/landing/ras-windows-cli-guide/v20/commands/getpublicipinfo.md)\
[clearpublicipinfo](/landing/ras-windows-cli-guide/v20/commands/clearpublicipinfo.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-windows-cli-guide/v20/commands/getloggedrasinfo.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
